Bug 1660855 - [OSP14] [replace controller section] example of command to add L3 agent into router contain typo and isn't valid
Summary: [OSP14] [replace controller section] example of command to add L3 agent into ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 14.0 (Rocky)
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ga
: ---
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-19 12:01 UTC by Artem Hrechanychenko
Modified: 2019-06-28 08:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-28 08:51:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Artem Hrechanychenko 2018-12-19 12:01:01 UTC
Description of problem:
http://file.bne.redhat.com/~dmacpher/Red_Hat_OpenStack_Platform/dmacpher-osp14-controller-replacement/doc-Director_Installation_and_Usage/replacing-controller-nodes.html

12.6. Cleaning up after Controller node replacement

" If necessary, add your hosting router to the L3 agent on the new node. This example show how to add a hosting router named r1 to the L3 Agent using the UUID of 2d1c1dc1-d9d4-4fa9-b2c8-f29cd1a649d4: "

(overcloud) $ openstack network agent add router -l3 2d1c1dc1-d9d4-4fa9-b2c8-f29cd1a649d4 r1


(overcloud) [stack@undercloud-0 ~]$ openstack network agent add router -l3 efbb34e3-1426-416e-84ec-bce079b2a056  r1
usage: openstack network agent add router [-h] [--l3] <agent-id> <router>


so typo in '-l3' and should be '--l3'

(overcloud) [stack@undercloud-0 ~]$ openstack network agent add router --l3 efbb34e3-1426-416e-84ec-bce079b2a056  r1
(overcloud) [stack@undercloud-0 ~]$ echo $?
0


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Try to replace controller using documentation
2. Try to add l3 agent from new controller into r1 router
3.

Actual results:
typo in example of command in arg '-l3'

Expected results:
command executed and ec=0

Additional info:

Comment 3 Artem Hrechanychenko 2019-01-08 10:27:28 UTC
Looks great, thx

Comment 4 Dan Macpherson 2019-06-28 08:51:14 UTC
This has been implemented. Cosing as complete.


Note You need to log in before you can comment on or make changes to this bug.